package net.nend.nendplugin

import io.flutter.plugin.common.MethodCall
import io.flutter.plugin.common.MethodChannel
import io.flutter.plugin.common.PluginRegistry
import net.nend.android.NendAdNative
import net.nend.android.internal.connectors.NendNativeAdConnector

class NativeAdConnector(registrar: PluginRegistry.Registrar, private val adConnector: NendNativeAdConnector): AdBridger(registrar, adConnector.hashCode().toString()) {

    fun onMethodCall(call: MethodCall, result: MethodChannel.Result) {
        // Note : ホントは→としたいが過去の遺産の都合でできないので文字列指定... when (getMethod(call, getTag(adConnector))) {
        when (getMethod(call, "NendNativeAdConnector")) {
            MethodName.Activate -> {
                adConnector.sendImpression()
            }
            MethodName.PerformAdClick -> {
                adConnector.performAdClick(activity)
            }
            MethodName.PerformInformationClick -> {
                adConnector.performInformationClick(activity)
            }
            else -> {
                result.notImplemented()
                return
            }
        }
        result.success(true)
    }
}